/*
 *  GUI/Widgets/TrayIcon.cs
 *  Copyright (C) 2006 Marcin Krystian Krzywonos
 *  License: GNU/GPL, version 2
 */

using System;
using System.Reflection;
using System.Runtime.InteropServices;
using Mono.Unix;
using System.Collections;
using System.Drawing;
using System.Windows.Forms;



namespace Incollector.Widgets {
	public class GTrayIcon {
		public EventHandler                ExitActivated, AddEntryActivated;
		public Gtk.DragDataReceivedHandler DragDataReceived;
		
		public  bool IsTrayIcon;
		private Gtk.Window window;
		
		
		public GTrayIcon (string title, Gtk.Window wdw)
		{
			this.window = wdw;
			
			
			// menu
			MenuItem AddBtn = new MenuItem ();
			AddBtn.Index = 0;
			AddBtn.Text = Catalog.GetString ("Add entry");
			AddBtn.Click += new EventHandler (on_add_entry_activate);
			
			MenuItem ExitBtn = new MenuItem ();
			ExitBtn.Index = 1;
			ExitBtn.Text = Catalog.GetString ("Exit");
			ExitBtn.Click += new EventHandler (on_TrayExit_activate);
			
			ContextMenu TrayMenu = new ContextMenu ();
			TrayMenu.MenuItems.AddRange (new MenuItem [] {AddBtn, ExitBtn});
			
			
			// tray icon
			try {
				NotifyIcon tr = new NotifyIcon ();
				tr.Icon = new Icon (System.IO.Path.Combine (System.AppDomain.CurrentDomain.BaseDirectory, "incollector.ico"));
				tr.Text = title;
				tr.Visible = true;
				tr.ContextMenu = TrayMenu;
				tr.MouseUp += new MouseEventHandler (on_TrayIcon_clicked);
				IsTrayIcon = true;
			} catch {
				IsTrayIcon = false;
			}
		
			
			
			if ((Incollector.Engine.Settings.Get ("ShowOnlyTrayIcon") != "") && (Incollector.Engine.Settings.GetBool ("ShowOnlyTrayIcon") == true))
				this.window.Hide ();
		}
		

		protected void on_TrayExit_activate (object o, EventArgs args)
		{
			if (ExitActivated != null)
				ExitActivated (o, args);
		}
		
		
		protected void on_add_entry_activate (object o, EventArgs args)
		{
			if (AddEntryActivated != null)
				AddEntryActivated (o, args);
		}
		
		
		public void on_TrayIcon_clicked (object o, MouseEventArgs args)
		{
			if (args.Button == MouseButtons.Left) {
				if (this.window.Visible == true)
					this.window.Visible = false;
				else
					this.window.Visible = true;
			}
		}
	}
}

