/*
 *  GUI/Colors.cs
 *  Copyright (C) 2006-2007 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using System.Reflection;
using Gdk;
using Gtk;
using Glade;


namespace Incollector.GUI {
	
	/*
	 * Colors class
	 */
	
	public static class Colors {
		
		public static Gdk.Color HEAD        = new Gdk.Color (255, 255, 255);
		public static Gdk.Color INFO        = new Gdk.Color (240, 240, 240);
		public static Gdk.Color WHITE       = new Gdk.Color (255, 255, 255);
		public static Gdk.Color WARNING_MSG = new Gdk.Color (250, 250, 190);
		public static Gdk.Color INFO_MSG    = new Gdk.Color (240, 240, 240);
		public static Gdk.Color WRITING     = new Gdk.Color (255, 253, 197);
		public static Gdk.Color DONE        = new Gdk.Color (202, 255, 197);
		
		
		public static void Modify (Gdk.Color color, Gtk.Widget widget)
		{
			widget.ModifyBg (Gtk.StateType.Normal, color);
		}


		public static void Modify (Gdk.Color color, string widget, Glade.XML xml)
		{
			Modify (color, (Gtk.Widget) xml.GetWidget (widget));
		}
		
		
		public static void Reset (Gtk.Widget widget)
		{
			widget.ModifyBg (Gtk.StateType.Normal);
		}
		
		
		public static void Reset (string widget, Glade.XML xml)
		{
			Reset ((Gtk.Widget) xml.GetWidget (widget));
		}
		
		
		public static void ColorHead (bool color, Glade.XML gui)
		{
			((Gtk.Separator) gui.GetWidget ("HeaderSeparator")).Visible = color;
			if (color)
				Modify (HEAD, "HeadBg", gui);
			else
				((Gtk.Viewport) gui.GetWidget ("HeadBg")).ModifyBg (Gtk.StateType.Normal);
		}
		
		
		public static void ColorHead (Glade.XML gui)
		{
			bool color = Engine.Settings.GetBool ("ColorWindowsHeaders");
			
			((Gtk.Separator) gui.GetWidget ("HeaderSeparator")).Visible = color;
			if (color)
				Modify (HEAD, "HeadBg", gui);
			else
				((Gtk.Viewport) gui.GetWidget ("HeadBg")).ModifyBg (Gtk.StateType.Normal);
		}
	}
}