/*
 *  GUI/SelectDateDialog.cs
 *  Copyright (C) 2006-2007 Marcin Krystian Krzywonos
 *  License: GNU/GPL version 2
 */


using System;
using System.Reflection;
using Incollector.GUI.Widgets;
using Mono.Unix;


namespace Incollector.GUI {
	
	public class SelectDateDialog {
		
		public Gtk.Dialog dialog;
		public DateEdit   SelectedDay, SelectedDaysFrom, SelectedDaysTo;
		
		[Glade.Widget] private Gtk.Table MainTable;
		[Glade.Widget] private Gtk.Label FromLabel;
		
		
		public SelectDateDialog (Gtk.Window parent, bool DateRange)
		{
			Glade.XML DlgXml = Glade.XML.FromAssembly ("gui.glade", "SelectDateDialog", null);
			DlgXml.Autoconnect (this);
			dialog = (Gtk.Dialog) DlgXml.GetWidget ("SelectDateDialog");
			dialog.VBox.BorderWidth = 0;
			dialog.TransientFor = parent;
			
			
			if (DateRange == true) {
				SelectedDaysFrom = new DateEdit ();
				SelectedDaysTo   = new DateEdit ();
				
				MainTable.Attach (SelectedDaysFrom, 1, 2, 0, 1);
				MainTable.Attach (SelectedDaysTo  , 1, 2, 1, 2);
				
				MainTable.Attach (new Gtk.Label (Catalog.GetString ("To")), 0, 1, 1, 2);
			} else {
				SelectedDay = new DateEdit ();
				FromLabel.Text = Catalog.GetString ("Date");
				MainTable.Attach (SelectedDay, 1, 2, 0, 1);
			}
			
			
			dialog.ShowAll ();
		}
	}
	
}
